Skip to main content
PATCH
/
notification_groups
/
{id}
/
mark_as_read
cURL
curl "https://api.phrase.com/v2/notification_groups/:id/mark_as_read" \
  -u USERNAME_OR_ACCESS_TOKEN \
  -X PATCH \
  -H 'Content-Type: application/json'
phrase notification_groups mark_as_read \
--id <id> \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/notification_groups/{id}/mark_as_read"

headers = {"Authorization": "<api-key>"}

response = requests.patch(url, headers=headers)

print(response.text)
const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};

fetch('https://api.phrase.com/v2/notification_groups/{id}/mark_as_read', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "abcd1234cdef1234abcd1234cdef1234",
  "event_name": "keys:create",
  "created_at": "2015-01-28T09:52:53Z",
  "updated_at": "2015-01-28T09:52:53Z",
  "latest_notification": {
    "id": "abcd1234",
    "event_name": "keys:create",
    "data": "object notification data",
    "resource": "object of notification resource",
    "locale": {
      "id": "abcd1234cdef1234abcd1234cdef1234",
      "name": "de",
      "code": "de-DE",
      "default": true,
      "main": false,
      "rtl": false,
      "plural_forms": [
        "zero",
        "one",
        "other"
      ],
      "source_locale": {
        "id": "abcd1234cdef1234abcd1234cdef1234",
        "name": "en",
        "code": "en-GB"
      },
      "created_at": "2015-01-28T09:52:53Z",
      "updated_at": "2015-01-28T09:52:53Z"
    },
    "user": {
      "id": "abcd1234cdef1234abcd1234cdef1234",
      "username": "joe.doe",
      "name": "Joe Doe"
    },
    "project": {
      "id": "abcd1234cdef1234abcd1234cdef1234",
      "name": "My Android Project",
      "main_format": "xml",
      "project_image_url": "http://assets.example.com/project.png",
      "account": {
        "id": "abcd1234",
        "name": "Company Account",
        "slug": "company_account",
        "company": "My Awesome Company",
        "created_at": "2015-01-28T09:52:53Z",
        "updated_at": "2015-01-28T09:52:53Z",
        "company_logo_url": "http://assets.example.com/company_logo.png"
      },
      "created_at": "2015-01-28T09:52:53Z",
      "updated_at": "2015-01-28T09:52:53Z"
    },
    "account": {
      "id": "abcd1234",
      "name": "Company Account",
      "slug": "company_account",
      "company": "My Awesome Company",
      "created_at": "2015-01-28T09:52:53Z",
      "updated_at": "2015-01-28T09:52:53Z",
      "company_logo_url": "http://assets.example.com/company_logo.png"
    },
    "group": {
      "id": "abcd1234cdef1234abcd1234cdef1234",
      "event_name": "keys:create",
      "created_at": "2015-01-28T09:52:53Z",
      "updated_at": "2015-01-28T09:52:53Z"
    }
  }
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

id
string
required

ID

Response

OK

id
string
event_name
string
created_at
string<date-time>
updated_at
string<date-time>
notifications_count
integer
latest_notification
notification · object
Example:
{
  "id": "abcd1234",
  "event_name": "keys:create",
  "data": "object notification data",
  "resource": "object of notification resource",
  "locale": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "name": "de",
    "code": "de-DE",
    "default": true,
    "main": false,
    "rtl": false,
    "plural_forms": ["zero", "one", "other"],
    "source_locale": {
      "id": "abcd1234cdef1234abcd1234cdef1234",
      "name": "en",
      "code": "en-GB"
    },
    "created_at": "2015-01-28T09:52:53Z",
    "updated_at": "2015-01-28T09:52:53Z"
  },
  "user": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "username": "joe.doe",
    "name": "Joe Doe"
  },
  "project": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "name": "My Android Project",
    "main_format": "xml",
    "project_image_url": "http://assets.example.com/project.png",
    "account": {
      "id": "abcd1234",
      "name": "Company Account",
      "slug": "company_account",
      "company": "My Awesome Company",
      "created_at": "2015-01-28T09:52:53Z",
      "updated_at": "2015-01-28T09:52:53Z",
      "company_logo_url": "http://assets.example.com/company_logo.png"
    },
    "created_at": "2015-01-28T09:52:53Z",
    "updated_at": "2015-01-28T09:52:53Z"
  },
  "account": {
    "id": "abcd1234",
    "name": "Company Account",
    "slug": "company_account",
    "company": "My Awesome Company",
    "created_at": "2015-01-28T09:52:53Z",
    "updated_at": "2015-01-28T09:52:53Z",
    "company_logo_url": "http://assets.example.com/company_logo.png"
  },
  "group": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "event_name": "keys:create",
    "created_at": "2015-01-28T09:52:53Z",
    "updated_at": "2015-01-28T09:52:53Z"
  }
}